local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.KalimdorSecretsUI(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.LakeDumontSecret(container)

end

-- BFA Tab
local function DrawGroup2(container)

core.AndrestrazSecret(container)

end

-- Legion Tab
local function DrawGroup3(container)

core.DHWirlpoolSecret(container)

end

-- Wod Tab
local function DrawGroup4(container)

core.GnomeAtlantisSecret(container)

end

-- Mop Tab
local function DrawGroup5(container)

core.DruidsRetreatSecret(container)

end


-- Cata Tab
local function DrawGroup6(container)

core.TaurenHutSecret(container)

end

-- Wotlk Tab
local function DrawGroup7(container)

core.TaurenHut2Secret(container)

end


-- Wotlk Tab
local function DrawGroup8(container)

core.ElvenLakeSecret(container)

end






local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)
   elseif group == "tab2" then
      DrawGroup2(container)
   
      elseif group == "tab3" then
      DrawGroup3(container)
   
      elseif group == "tab4" then
      DrawGroup4(container)
   
      elseif group == "tab5" then
      DrawGroup5(container)
      elseif group == "tab6" then
      DrawGroup6(container)
      elseif group == "tab7" then
      DrawGroup7(container)
      elseif group == "tab8" then
      DrawGroup8(container)

   
   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("Kalimdor - Secrets")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")



local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Lake Dumont", value="tab1"}, {text="Andrestraz", value="tab2"}, {text="DH Wirlpool", value="tab3"}, {text="Gnome Atlantis", value="tab4"}, {text="Druids Retreat", value="tab5"}, {text="Tauren Hut", value="tab6"}, {text="Tauren Hut 2", value="tab7"}, {text="Elven Lake", value="tab8"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end